Album: Psycholonials EP 5
Artists:
- Clark Powell
Date: March 10, 2021
Date Added: April 12, 2021
Cover Artists:
- Andrew Hussie
Cover Art File Extension: png
Color: '#f51806'
Groups:
- Psycholonials
- Beyond
Banner Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Banner Dimensions: 1100x180
Banner File Extension: png
Wallpaper Style: |-
    opacity: 0.65;
    image-rendering: pixelated;
    image-rendering: crisp-edges;
Wallpaper File Extension: png
Wallpaper Artists:
- Andrew Hussie
- Niklink (edits for wiki)
Listed in Galleries: false
Additional Files:
- Title: Bandcamp Banner
  Files:
  - banner.png
---
Track: In The Works
Duration: '4:22'
URLs:
- https://psycholonials.bandcamp.com/track/in-the-works-2
- https://www.youtube.com/watch?v=Uhusl2R6kc0
- https://open.spotify.com/track/1KTM56IDeOhMOBv8HmEOy8
---
Track: Ephemeral Muse
Originally Released As: track:harrigan-we-are-all-satellites
Duration: '4:46'
URLs:
- https://psycholonials.bandcamp.com/track/ephemeral-muse-2
- https://www.youtube.com/watch?v=fcHxSRUjhE0
- https://open.spotify.com/track/3wMjNIOUK2EAONoA3sX36D
---
Track: Blood On Their Hands
Additional Names:
- Name: >-
    Dusk for the Age of Miracles
  Annotation: >-
    [SoundCloud](https://soundcloud.com/plazmataz/dusk-for-the-age-of-miracles)
Duration: '2:46'
URLs:
- https://psycholonials.bandcamp.com/track/blood-on-their-hands-2
- https://www.youtube.com/watch?v=T_mm3VN6MaE
- https://open.spotify.com/track/40wqV55Nz2PFOB5agcwnNR
